com.microfocus.awm.meta.interfaces

## Interface RElementFilter

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RElementFilterImpl

      public interface RElementFilter
      extends AWMObject

  By this relationship a filter type for the element type can be created in the context menu of the corresponding element. The filter dialog box modelled in the filter type is automatically called. This pre-assigns corresponding input fields of the filter criteria with the selected element's property values.

  The following features are supported:

  - `Target ID`
  - `Label`
  - `Seq No`
  - `Show In Element View`
  - `Show In Tree View`
  See Also:
    `TaurusPackage.getRElementFilter()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced `FilterType` (`TargetID`).
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `FilterType` | `getTargetID()` Returns the value of the 'Target ID' reference.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetShowInElementView()` Returns whether the value of the '`Show In Element View`' attribute is set.
    `boolean` | `isSetShowInTreeView()` Returns whether the value of the '`Show In Tree View`' attribute is set.
    `boolean` | `isShowInElementView()` Returns the value of the 'Show In Element View' attribute.
    `boolean` | `isShowInTreeView()` Returns the value of the 'Show In Tree View' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setShowInElementView(boolean value)` Sets the value of the '`Show In Element View`' attribute.
    `void` | `setShowInTreeView(boolean value)` Sets the value of the '`Show In Tree View`' attribute.
    `void` | `setTargetID(FilterType value)` Sets the value of the '`Target ID`' reference.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetShowInElementView()` Unsets the value of the '`Show In Element View`' attribute.
    `void` | `unsetShowInTreeView()` Unsets the value of the '`Show In Tree View`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTargetID

          FilterType getTargetID()

      Returns the value of the 'Target ID' reference. The filter type that should be used. A filter dialog box of this type is called when a filter is created in the context menu of the selected element.
      Returns:
        the value of the 'Target ID' reference.
      See Also:
        `setTargetID(FilterType)`, `TaurusPackage.getRElementFilter_TargetID()`

    - #### setTargetID

          void setTargetID(FilterType value)

      Sets the value of the '`Target ID`' reference.
      Parameters:
        `value` - the new value of the 'Target ID' reference.
      See Also:
        `getTargetID()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Label in the context menu of the element to create a new filter.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRElementFilter_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The position of the entry in the context menu of the element. Filter action are always positioned before other element actions.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRElementFilter_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isShowInElementView

          boolean isShowInElementView()

      Returns the value of the 'Show In Element View' attribute.
      Determines whether the Create Filter action should display in the Table Results View context menu.
      Returns:
        the value of the 'Show In Element View' attribute.
      See Also:
        `isSetShowInElementView()`, `unsetShowInElementView()`, `setShowInElementView(boolean)`, `TaurusPackage.getRElementFilter_ShowInElementView()`

    - #### setShowInElementView

          void setShowInElementView(boolean value)

      Sets the value of the '`Show In Element View`' attribute.
      Parameters:
        `value` - the new value of the 'Show In Element View' attribute.
      See Also:
        `isSetShowInElementView()`, `unsetShowInElementView()`, `isShowInElementView()`

    - #### unsetShowInElementView

          void unsetShowInElementView()

      Unsets the value of the '`Show In Element View`' attribute.
      See Also:
        `isSetShowInElementView()`, `isShowInElementView()`, `setShowInElementView(boolean)`

    - #### isSetShowInElementView

          boolean isSetShowInElementView()

      Returns whether the value of the '`Show In Element View`' attribute is set.
      Returns:
        whether the value of the 'Show In Element View' attribute is set.
      See Also:
        `unsetShowInElementView()`, `isShowInElementView()`, `setShowInElementView(boolean)`

    - #### isShowInTreeView

          boolean isShowInTreeView()

      Returns the value of the 'Show In Tree View' attribute. The default value is `"true"`.
      Determines whether the Create Filter action should display in the Application Explorer View context menu.
      Returns:
        the value of the 'Show In Tree View' attribute.
      See Also:
        `isSetShowInTreeView()`, `unsetShowInTreeView()`, `setShowInTreeView(boolean)`, `TaurusPackage.getRElementFilter_ShowInTreeView()`

    - #### setShowInTreeView

          void setShowInTreeView(boolean value)

      Sets the value of the '`Show In Tree View`' attribute.
      Parameters:
        `value` - the new value of the 'Show In Tree View' attribute.
      See Also:
        `isSetShowInTreeView()`, `unsetShowInTreeView()`, `isShowInTreeView()`

    - #### unsetShowInTreeView

          void unsetShowInTreeView()

      Unsets the value of the '`Show In Tree View`' attribute.
      See Also:
        `isSetShowInTreeView()`, `isShowInTreeView()`, `setShowInTreeView(boolean)`

    - #### isSetShowInTreeView

          boolean isSetShowInTreeView()

      Returns whether the value of the '`Show In Tree View`' attribute is set.
      Returns:
        whether the value of the 'Show In Tree View' attribute is set.
      See Also:
        `unsetShowInTreeView()`, `isShowInTreeView()`, `setShowInTreeView(boolean)`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced `FilterType` (`TargetID`). If the FilterTypes Label wasn't set, too, its ID will be returned.

Copyright © 2015 Micro Focus GmbH. All rights reserved.